AM261x MCU+ SDK: APIs for USB

| AM261x MCU+ SDK 26.00.00 |

Sub Modules | Files | Data Structures | Functions | Enumerations
APIs for USB
APIs for SOC Specific Device Drivers

## Introduction

This module has APIs for USB device driver. See this page, USB, for using USB using tinyUSB APIs

## Sub Modules
| APIs for Synopsys driver

## Files
file | usb_init.h
| This file contains USB initialization APIs.
file | device_wrapper.h
| This file contains USB device wrapper APIs.

## Data Structures
struct | usb_handle_t
| Structure representing the USB device handle. More...

## Functions
void | USB_init ()
| This function initializes the USB driver. More...
void | USB_dwcTask ()
| This function handles triggered events from the USB driver. More...
void | USB_deinit ()
| This function De-Initialization USB driver. More...
UsbPhy_ret_t | usb_phy_power_sequence (void)
| Performs the USB PHY power-on sequence. More...
void | USB_configureInterrupt (uint32_t intr)
| This function configures the interrupt. More...
void | USB_disableInterrupt (uint32_t intr)
| This function disables the interrupt. More...
void | USB_clearInterrupt (void)
| This function clears the MAIN0 interrupt. More...

## Enumerations
enum | UsbPhy_ret_t { USB_PHY_OK = 0x01U, USB_PHY_ERR = 0x02U }
| This enumeration defines the return status for USB PHY. More...

## Enumeration Type Documentation

## ◆ UsbPhy_ret_t

enum UsbPhy_ret_t

This enumeration defines the return status for USB PHY.

Enumerator
USB_PHY_OK |
USB_PHY_ERR |

## Function Documentation

## ◆ USB_init()

void USB_init | ( |  | ) |

This function initializes the USB driver.

## ◆ USB_dwcTask()

void USB_dwcTask | ( |  | ) |

This function handles triggered events from the USB driver.

- process the events, check for the event type (device, EP or invalid etc) and invokes the appropriate handler

## ◆ USB_deinit()

void USB_deinit | ( |  | ) |

This function De-Initialization USB driver.

## ◆ usb_phy_power_sequence()

UsbPhy_ret_t usb_phy_power_sequence | ( | void |  | ) |

Performs the USB PHY power-on sequence.

This function initializes the USB PHY by performing the necessary power-on sequence.

Returns
  UsbPhy_ret_t indicating the status of the operation.

## ◆ USB_configureInterrupt()

void USB_configureInterrupt | ( | uint32_t | intr | ) |

This function configures the interrupt.

Parameters

  intr | Interrupt number or identifier. Specifies the interrupt to be handled or configured.

## ◆ USB_disableInterrupt()

void USB_disableInterrupt | ( | uint32_t | intr | ) |

This function disables the interrupt.

Parameters

  intr | Interrupt number or identifier. Specifies the interrupt to be handled or configured.

## ◆ USB_clearInterrupt()

void USB_clearInterrupt | ( | void |  | ) |

This function clears the MAIN0 interrupt.

## Variable Documentation

## ◆ ep_in_buf

uint8_t ep_in_buf[DWC_MAX_EPS - 1U][DWC_MAX_PACKET_SIZE]
| extern

Global buffers for USB IN endpoints. These buffers are used for data transmission from the device to the host.

## ◆ ep_out_buf

uint8_t ep_out_buf[DWC_MAX_EPS - 1U][DWC_MAX_PACKET_SIZE]
| extern

Global buffers for USB OUT endpoints. These buffers are used for data reception from the host to the device.